Bug 38116 - Make allowed server/role's configurable in UMC system setup
Make allowed server/role's configurable in UMC system setup
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Setup wizard
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0-1-errata
Assigned To: Alexander Kläser
Felix Botner
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-03-23 15:37 CET by Felix Botner
Modified: 2015-04-16 10:50 CEST (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Botner univentionstaff 2015-03-23 15:37:56 CET
For the app appliances, we need a way to configure allowed (or forbidden) system/role's for the umc system setup.

e.g. a app defines ServerRole=domaincontroller_master,domaincontroller_backup in its ini file. At the moment it is still possible to setup the app appliance as dc_slave (which is not supported)
Comment 1 Alexander Kläser univentionstaff 2015-04-09 19:07:49 CEST
Fixed. I extended the already existing UCR variable system/setup/boot/fields/blacklist to also accept the following values:

  domaincontroller_backup
  domaincontroller_slave
  memberserver
  basesystem
  ad

r59679 | Bug #38116: allow to disable selection of particular server roles
Comment 2 Alexander Kläser univentionstaff 2015-04-09 19:11:32 CEST
r59681 | Bug #38116: added YAML entry
Comment 3 Felix Botner univentionstaff 2015-04-14 10:38:22 CEST
No matter what I select, i always get 

   "UCS-Konfiguration: Eine neue UCS Domäne wird erstellt."

(a master system)
Comment 4 Alexander Kläser univentionstaff 2015-04-14 11:07:44 CEST
(In reply to Felix Botner from comment #3)
> No matter what I select, i always get 
> 
>    "UCS-Konfiguration: Eine neue UCS Domäne wird erstellt."
> 
> (a master system)

True! That was a logic error that I needed to correct. For each page change, the radio buttons were reset such that the first radio button on page was preselected.

r59756 | Bug #38116: correct logic error for preselection of radio buttons

Package is building...
Comment 5 Alexander Kläser univentionstaff 2015-04-14 11:22:53 CEST
(In reply to Alexander Kläser from comment #4)
> [...]
> Package is building...

... done.

r59758 | Bug #38116: adjust YAML package version
Comment 6 Felix Botner univentionstaff 2015-04-14 12:49:44 CEST
OK - system/setup/boot/fields/blacklist
OK - system setup
OK - 2015-04-07-univention-system-setup.yaml
Comment 7 Janek Walkenhorst univentionstaff 2015-04-16 10:50:52 CEST
<http://errata.univention.de/ucs/4.0/149.html>